<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.server.admin.goods_center.mapper.AuctionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.fzm.mall.server.admin.goods_center.model.Auction">
        <id column="id" property="id" />
        <result column="auction_id" property="auctionId" />
        <result column="goods_id" property="goodsId" />
        <result column="start_price" property="startPrice" />
        <result column="final_price" property="finalPrice" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="final_uid" property="finalUid" />
        <result column="seller_deposit" property="sellerDeposit" />
        <result column="buyer_deposit" property="buyerDeposit" />
        <result column="price_increase" property="priceIncrease" />
        <result column="status" property="status" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
